Cisco IOS DHCP Multiple Vulnerabilities

high Nessus Plugin ID 109088

Synopsis

The remote device is missing a vendor-supplied security patch.

Description

According to its self-reported version, the Cisco IOS software running on the remote device is affected by multiple denial of service vulnerabilities in the DHCP client implementation when parsing DHCP packets. An unauthenticated, remote attacker can exploit these issues, via specially crafted DHCP packets, to cause the device to reload.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug ID CSCvg62730, CSCvg62754, and CSCuh91645.

See Also

http://www.nessus.org/u?bfe8b7e0

http://www.nessus.org/u?2af6e16d

http://www.nessus.org/u?570bb167

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvg62730

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvg62754

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCuh91645

https://www.tenable.com/security/research/tra-2018-06

Plugin Details

Severity: High

ID: 109088

File Name: cisco-sa-20180328-dhcpr3-iosxe.nasl

Version: 1.12

Type: local

Family: CISCO

Published: 4/17/2018

Updated: 3/8/2022

Risk Information

CVSS Score Source: CVE-2018-0174

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.6

Temporal Score: 8.2

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:ios_xe

Required KB Items: Host/Cisco/IOS-XE/Version

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 3/28/2018

Vulnerability Publication Date: 3/28/2018

CISA Known Exploited Dates: 3/17/2022

Reference Information

CVE: CVE-2018-0172, CVE-2018-0173, CVE-2018-0174

BID: 103545, 103552, 103554